$('#form-reclamacao').on('submit', function(e){
e.preventDefault();

    $data = getForm(this);
    
    get_ajax_($data, 'atendimento/ajax/incorporadora_ajax/enviaReclamacao', 
    success =>{
        if(success.success == true)
        {
            $('.resultado_reclamacao').html('');
            console.log(success);
            $('.resultado_reclamacao').append('<div class="alert alert-primary" role="alert"> '+success.txt+'</div>');
        }
        else
        {
            $('.resultado_reclamacao').html('');
            console.log(success);
            $('.resultado_reclamacao').append('<div class="alert alert-danger" role="alert"> '+success.txt+'</div>');
        }
        
    },
    erro => {
        msgErro('.resultado_reclamacao',erro);
    });
    
console.log($data)

});

$('.alterarVisita').on('click', function(){
    $id_agenda = $(this).data('id_agenda');
    console.log($id_agenda);
    
    $('.btn-cancelar-visita').data('id_agenda',$id_agenda);
    
    $('#alteraAgendaModal').modal('show');

    $('input[name="id_agenda"]').val('');
    $('input[name="id_agenda"]').val($id_agenda);
    
    
});

$('select[name="select_atendimentos"]').on('change', function(){
    console.log($(this).val());
    
    $data = {'id_captura': $(this).val()};
    if(confirm("Deseja altenar o atendimento?")){
        get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/troca_atendimento', 
        success =>{
            if(success.success == true){
                setTimeout(function() {
                    window.location.href = success.link;
                }, 100);
            }
        },
        erro => {
            msgErro('.msgRetorno',erro);
        });
    }
});


//Salvar o Informações do Atendimento
$('.btn-save-interesse').on('click', function(e){
e.preventDefault();

    $data = getForm('#form-interesse');
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaInteresse', 
    success =>{
        if(success.success == true){        
            $(".atendForm:input").prop("disabled",true);
            $('.resultado_interesse').html('');
            $(this).prop("disabled",true);
            
            $('.resultado_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
        }else{
            $('.resultado_interesse').html('');
            
            $('.resultado_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
    


});

//Salvar Descrição
$('.btn-save-descricao').on('click', function(e){
e.preventDefault();

    $data = getForm('#form-descricao');
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaDescricao', 
    success =>{
        if(success.success == true){        
            $(".descricaoForm:input").prop("disabled",true);
            $('.resultado_descricao').html('');
            $(this).prop("disabled",true);
            
            $('.resultado_descricao').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
        }else{
            $('.resultado_descricao').html('');
            
            $('.resultado_descricao').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
    


});

//Inicializa bloqueado o Informações do Atendimento e o Decrição
$(document).ready(function() {
    $(".atendForm:input").prop("disabled",true);
    $('.btn-save-interesse').prop("disabled",true);
    $(".descricaoForm:input").prop("disabled",true);
    $('.btn-save-descricao').prop("disabled",true);
});

//Ao clicar no botao editar do Informações do Atendimento desbloqueia os campos
$('.btn-edit-interesse').on('click', function(){

    $(".atendForm:input").prop("disabled",false);
    $('.btn-save-interesse').prop("disabled",false);
    $('.resultado_interesse').html('');
});

//Ao clicar no botao editar da Descrição desbloqueia os campos
$('.btn-edit-descricao').on('click', function(){

    $(".descricaoForm:input").prop("disabled",false);
    $('.btn-save-descricao').prop("disabled",false);
    $('.resultado_descricao').html('');
});


//Coloca um select2 no campo bairro e no tipo de empreendimento do cliente do anunciar interesse
$(document).ready(function() {
    $('.bairro_anunciar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
    $('.tipo_emp_anunciar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
});


$('.btn-prox-atend').on('click', function(e){
    e.preventDefault();

    $data = getForm('#form-prox-atend');

    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/proximo_contato', 
    success =>{
        if(success.valid == true){        
            $("#form-prox-atend:input").prop("disabled",true);
            $('.resultado_contato').html('');
            $(this).prop("disabled",true);
            console.log(success);
            $('.resultado_contato').append('<div class="alert alert-primary" role="alert"> '+success.msg+'</div>');
        }else{
            $('.resultado_contato').html('');
            console.log(success);
            $('.resultado_contato').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
    
console.log($data)

});

$('input:radio[name="dias"]').on('change', function(){
    if ($(this).is(':checked') && $(this).val() == 'personalizado') {
        console.log('foi sim')
        $('.quandoShow').show();
    }else{
        console.log('foi o nao')
        $('.quandoShow').hide();
    }
});


//Codigo para enviar formulario pelo ajax para o metodo editaCartaoVip
$('.btn-salvar-cartao-vip').on('click', function(){
    
    $data = getForm('.form-modal-cvip');
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/editaCartaoVip', 
    success =>{
        if(success.success == true){        
            $(".form-modal-cvip:input").prop("disabled",true);
            $('.resultado_cvip').html('');
            $(this).prop("disabled",true);
            console.log(success);
            $('.resultado_cvip').append('<div class="alert alert-primary" role="alert"> '+success.txt+'</div>');
        }else{
            $('.resultado_cvip').html('');
            console.log(success);
            $('.resultado_cvip').append('<div class="alert alert-danger" role="alert"> '+success.txt+'</div>');
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
});

//Codigo para enviar formulario pelo ajax para o metodo addCartaoVip
$('.btn-criar-cartao-vip').on('click', function(){
   
   $data = getForm('.form-modal-criar-cvip');
   
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/addCartaoVip', 
    success =>{
        if(success.success == true){        
            $(".form-modal-criar-cvip:input").prop("disabled",true);
            $('.resultado_criar_cvip').html('');
            $(this).prop("disabled",true);
            console.log(success);
            $('.resultado_criar_cvip').append('<div class="alert alert-primary" alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }else{
            $('.resultado_criar_cvip').html('');
            console.log(success);
            $('.resultado_criar_cvip').append('<div class="alert alert-danger" alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
});

//Tratamento para o checkbox possui_conjuge editar cartao vip
$('input:radio[name="possui_conjuje"]').on('change', function(){
    if ($(this).is(':checked') && $(this).val() == 'Sim') {
        console.log('foi sim')
        $('#edit-cartao-conjuje').show();
    }else{
        console.log('foi o nao')
        $('#edit-cartao-conjuje').hide();
    }
});

//Tratamento para o checkbox possui_conjuge cadastro cartao vip
$('input:radio[name="possui_conjuje"]').on('change', function(){
    if ($(this).is(':checked') && $(this).val() == 'Sim') {
        console.log('foi sim')
        $('#cadastra-cartao-conjuje').show();
    }else{
        console.log('foi o nao')
        $('#cadastra-cartao-conjuje').hide();
    }
});

//Recupera todas as unidades presentes no empreendimento escolhido e retorna o select delas
$('.select_emp_add_cartao').on('change', function() {
  
  $id_emp = {'id_emp': $(this).val()}
  
  get_ajax_($id_emp, 'atendimento/ajax/Incorporadora_ajax/getUnidade', 
    success =>{
        
        if(success.valid == true){  
            $('.result_unidades').html('');
            
            $('.result_unidades').append(success.html);
        }else{
            $('.result_unidades').html('');
            
            $('.result_unidades').append(success.html);
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
  
  
  
});

//Recupera os dados do formulario de cadastrar conta comdono
$('.btn-criar-conta-comdono').on('click', function(){
    
    $data = getForm('.form-modal-criar-conta-comdono');
   
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/addContaComdono', 
    success =>{
        
        if(success.success == true){        
            $(".form-modal-criar-conta-comdono").prop("disabled",true);
            $('.resultado_conta_comdono').html('');
            $(this).prop("disabled",true);
            console.log(success);
            $('.resultado_conta_comdono').append('<div class="alert alert-primary" role="alert"> '+success.msg+'</div>');
        }else{
            $('.resultado_conta_comdono').html('');
            console.log(success);
            $('.resultado_conta_comdono').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
   
});

$('.btn-finaliza-atendimento').on('click', function(){
    
    $data = getForm('.form-modal-enviar-sugestao');
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/concluirAtendimento',
    success => {
        
        if(success.success == true){        
            $('.result').append('<div class="alert alert-primary" role="alert"> '+success.txt+'</div>');
            window.location.href = success.link;
        }else{
            $('.result').append('<div class="alert alert-danger" role="alert"> '+success.txt+'</div>');
        }
        
    });
    
});

//Agendar visita
$('.btn-add-visita').on('click', function(){
    
    loadButton($(this));
    
    $data = getForm('.add-visita');
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/addAgenda',
    success => {
        if(success.success == true){   
        $(".add-visita").prop("disabled",true);
        $('.resultado_agendar_visita').html('');
        $('.resultado_agendar_visita').append('<div class="alert alert-primary" role="alert"> '+success.msg+'</div>');
        location.reload();
        }
        else{
        $('.resultado_agendar_visita').html('');
        $('.resultado_agendar_visita').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');  
        }
    },erro=>{
        $('.resultado_agendar_visita').html('');
        $('.resultado_agendar_visita').append('<div class="alert alert-danger" role="alert"> '+erro.msg+'</div>');
    });
    
});

//readengedar visita
$('.btn-reagendar-visita').on('click', function(){
    
    loadButton($(this));
    
    $agenda = {'id_agenda':$('input[name="id_agenda"]').val()};
    
    get_ajax_($agenda, 'atendimento/ajax/Incorporadora_ajax/remarcarAgenda',
        success => {
            
            if(success.success == true){   
                
                $data = getForm('.reagendar-visita');
                
                get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/addAgenda',
                success => {
                    if(success.success == true){   
                        $(".add-visita").prop("disabled",true);
                        $('.resultado_agendar_visita').html('');
                        $('.resultado_agendar_visita').append('<div class="alert alert-primary" role="alert"> '+success.msg+'</div>');
                        location.reload();
                    }
                    else{
                        $('.resultado_agendar_visita').html('');
                        $('.resultado_agendar_visita').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');  
                    }
                },erro=>{
                    $('.resultado_agendar_visita').html('');
                    $('.resultado_agendar_visita').append('<div class="alert alert-danger" role="alert"> '+erro.msg+'</div>');
                });
            }else{
                $('.resultado_agendar_visita').html('');
                $('.resultado_agendar_visita').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');  
            }
        },erro=>{
            $('.resultado_agendar_visita').html('');
            $('.resultado_agendar_visita').append('<div class="alert alert-danger" role="alert"> '+erro.msg+'</div>');
        });
        
        
});

$('.btn-cancelar-visita').on('click', function(){
    $('#confimaCancelamento').modal('show');
    
    $id_agenda = $(this).data('id_agenda');
    
    $('.btn-confirma-cancelar-visita').data('id_agenda',$id_agenda);
});

//Tratamento do botao confirma dentro da modal agendamento de visita
$('body').on('click', '.confirmaVisita', function () {
    
    //loadButton($(this));
    $datetime = $(this).data('datetime');
    
    $('input[name="data_hora_agendamento"]').val($datetime);
    
});

$('.btn-cancela-cancelamento').on('click', function(){
    $('#confimaCancelamento').modal('hide');
});

$('.btn-confirma-cancelar-visita').on('click', function(){
    $data = {id_agenda: $(this).data('id_agenda')}
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/cancelaAgenda',
    success => {
        if(success.success == true){   
            location.reload();
        }
        else{
            $('.result_cancelamento_agenda').html('');
            $('.result_cancelamento_agenda').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');  
        }
    },erro=>{
        $('.result_cancelamento_agenda').html('');
        $('.result_cancelamento_agenda').append('<div class="alert alert-danger" role="alert"> '+erro.msg+'</div>');
    });
});

//Funcao feita para o tratamento do card no agendamento de visita
$('body').on('click', '.actBoxItem', function () {
    
    $(this).parents(".container-items").find(".box-item").removeClass("box-active");
    $(this).parents(".container-items").find(".box-btn").hide();
    $(this).addClass("box-active");
    $(this).parent(".content-item").find(".box-btn").show();
});



$('select[name="date_prorrogado"]').on('change', function(){
    console.log($(this).val());
    if($(this).val() == 'personalizado'){
        $('.data-perso').show();
        $('.dt-perso').prop('name','date_prorrogado');
        $('.select-prorr').removeAttr('name','date_prorrogado');
    }else{
        $('.data-perso').hide();
        $('.dt-perso').removeAttr('name','date_prorrogado');
        $('.select-prorr').prop('name','date_prorrogado');
    }
});

$('.adia-atend').on('click', function(){
    console.log('clicou');
    $data = getForm($('.adia-atendimento'));
    console.log($data);
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/adiaAtendimento',
    success => {
        
        if(success.success == true){        
            //$('.result').append('<div class="alert alert-primary" role="alert"> '+success.txt+'</div>');
            window.location.href = success.link;
        }else{
            $('.result').append('<div class="alert alert-danger" role="alert"> '+success.txt+'</div>');
        }  
        
    });
});


//Funcao para filtrar historico do lead - retirada
/*
$('.btn-filtrar-historico-lead').on('click', function(){
   
    $data = getForm('.filtrar-historico-lead');
   
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/filtrar_historico_lead',
    success => {
        
        if(success.success == true){        
            $(".filtrar-historico-lead").prop("disabled",true);
            $('#tabela-historico-lead').html('');
            $(this).prop("disabled",true);
            console.log(success);
            $('#tabela-historico-lead').append('<div class="alert alert-primary" role="alert"> '+success.msg+'</div>');
        }else{
            $('#tabela-historico-lead').html('');
            console.log(success);
            $('#tabela-historico-lead').append('<div class="alert alert-danger" role="alert"> '+success.msg+'</div>');
        }  
        
    });   
    
});*/

$('.btn-ligar').on('click',function(){
    
    $data = {"id_cadastro":$(this).data('id_cadastro'), "id_resposavel":$(this).data('id_resposavel')};
    console.log($data);
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/novoip_ligar',
    success => {
        
        if(success.success == true){        
            reset()
            $(this).hide();
            $('.btn-desligar').show();
            $('.gravacao').show();
            start();
        }else{
            if(success.status == 1){
                $('#modalCadastroNvoip').modal('show');
            }else{
                $('#modalNvoip').modal('show');
            }
        }  
        
    },
    error => {
        console.log(error);
    }
    );   
    
});

$('.btn-cadastrar-nvoip').on('click', function(){
    $data = getForm($('.cad-nvoip'));
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/addNovoipid',
    success => {
        
        if(success.success == true){        
            $('.result').append('<div class="alert alert-primary" role="alert"> '+success.txt+'</div>');
        }else{
            $('.result').append('<div class="alert alert-danger" role="alert"> '+success.txt+'</div>');
        }  
        
    });
});

$('.btn-desligar').on('click',function(){
    
    
    $data = {"callid":$(this).data('callid')};
    console.log($data);
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/novoip_desligar',
    success => {
        $(this).hide();
        $('.btn-ligar').show();
        pause();
    }); 
});

/*Funcao excluida do botao enviar sugestão
$('.btn-enviar-sugestao').on('click', function(){
    
    $data = getForm('.form-modal-enviar-sugestao');
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviarSugestao', 
    success =>{
        if(success.success == true){        
            $(".form-modal-enviar-sugestao:input").prop("disabled",true);
            $('.resultado_enviar_sugestao').html('');
            $(this).prop("disabled",true);
            console.log(success);
            $('.resultado_enviar_sugestao').append('<div class="alert alert-primary" role="alert"> '+success.txt+'</div>');
            $(".btn-enviar-sugestao").attr("disabled", true);
        }else{
            $('.resultado_enviar_sugestao').html('');
            console.log(success);
            $('.resultado_enviar_sugestao').append('<div class="alert alert-danger" role="alert"> '+success.txt+'</div>');
        }
    },
    erro => {
        msgErro('.msgRetorno',erro);
    });
});*/

//Funcao para salvar os interesses
$('.salvarInterPainel').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-anunciar-interesse'));
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/setEditInteresse',
    success => {
        
        if(success.success == true){        
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            getSugestoesImoveis();
        }else{
           
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');        }  
        
    });
    
});

//Funcao para pegar as sugestões de imóveis
$('.getSugestoesImoveisPainel').on('click',function(){
    loadButton($(this));
    getSugestoesImoveis();
});

function getSugestoesImoveis()
{
    $data = getForm($('.form-anunciar-interesse'));
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/getSugestoesImoveis',
    success => {
        if(success.success == true){
            $('#card-interesse-sujestao').html('');
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.html+' </div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(success.cont);
        }else{
            $('#card-interesse-sujestao').html('');
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.msg+' </div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(0);
        }  
    });
}

/*//Funcao para pegar os interesses
$('.salvarInterPainelcs').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-anunciar-interesse'));
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/salvaInteresse',
    success => {
        
        if(success.success == true){        
            $(".form-anunciar-interesse").prop("disabled",true);
            $('#card-interesse-sujestao').html('');
            //$(this).prop("disabled",true);
            console.log(success);
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.html+' </div>');
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(success.cont);
            $('.bairro_anunciar_interesse').val('').trigger('change');
            $('.tipo_emp_anunciar_interesse').val('').trigger('change');
            $('.form-anunciar-interesse').trigger("reset");
            
        }else{
            $('#card-interesse-sujestao').html('');
            console.log(success);
            $('#card-interesse-sujestao').append('<div class="card-scroll pr-2" style="max-height: 300px !important;" > '+success.html+' </div>');
            $('.cont_imoveis_sugestoes').html('');
            $('.cont_imoveis_sugestoes').append(success.cont);
            $('.result_envio_anunciar_interesse').html('');
            $('.result_envio_anunciar_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
        }  
        
    });
    
});*/

/*
//Funcao para enviar os interesses pra whatsapp
$('.btn-enviar-whats-anunciar-interessePainelcs').on('click',function(){
    loadButton($(this));
    
    $data = getForm($('.form-sugestoes-anunciar-interesse'));
    $telefone = {'name': 'telefone', 'value':$(this).data('telefone')};
    $data.push($telefone);
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaSugestoes',
    success => {
        
        if(success.success == true){        
            $(".form-sugestoes-anunciar-interesse").prop("disabled",true);
            
            console.log(success);
           
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
           
        }else{
            
            console.log(success);
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
    
});
*/

//Funcao para enviar os interesses por email
$('.btn-enviar-email-anunciar-interessePainelcs').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-sugestoes-anunciar-interesse'));
    $email = {'name': 'email', 'value':$(this).data('email')};
    $data.push($email);
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaEmailSugestoes',
    success => {
        
        if(success.success == true){        
            $(".form-sugestoes-anunciar-interesse").prop("disabled",true);
            
            console.log(success);
           
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
           
        }else{
            
            console.log(success);
            $('.result_envia_whats_interesse').html('');
            $('.result_envia_whats_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
});

$('.checkbox_sugestoes_imoveis_todos').on('change', function(){
    if($('.checkbox_sugestoes_imoveis_todos').prop("checked") == true){
        $('.checkbox_sugestoes_imoveis').prop("checked", true);
    }
    else{
        $('.checkbox_sugestoes_imoveis').prop("checked", false);
    }
});

/*
//Funcao para colocar o dia da semana na lista de checkbox agendar visita
$(document).ready(function(){
    
    
    var semana = ["Domingo", "Segunda-Feira", "Terça-Feira", "Quarta-Feira", "Quinta-Feira", "Sexta-Feira", "Sábado"];
    
       var data = $(".dia_semana_agend_visita")[0].innerText;
       console.log($(".dia_semana_agend_visita")[0].innerText);
       console.log(semana);
       
  
});*/

//Envia email com as informacoes do enviar informações para o lead
$('.btn-envia-info-email').on('click',function(){
    loadButton($(this));
    //console.log('enviou email');
    $data = getForm($('.form-envia-info'));
    //console.log($data);
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaInfoEmail',
    success => {
        
        if(success.success == true){        
            //$(".form-envia-info").prop("disabled",true);
            
            console.log(success);
            $('.result_envia_info').html('');
            $('.result_envia_info').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
           
        }else{
            
            console.log(success);
            $('.result_envia_info').html('');
            $('.result_envia_info').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
    
});

/*
////Envia whatsapp msg com as informacoes do enviar informações para o lead
$('.btn-envia-info-whatsapp').on('click',function(){
    loadButton($(this));
    //console.log('enviou whats');
    $data = getForm($('.form-envia-info'));
    //console.log($data);
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviaInfoWhats',
    success => {
        
        if(success.success == true){        
            //$(".form-envia-info").prop("disabled",true);
            
            console.log(success);
            $('.result_envia_info').html('');
            $('.result_envia_info').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
           
        }else{
            
            console.log(success);
            $('.result_envia_info').html('');
            $('.result_envia_info').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
    
});
*/

//Tratamento da checkbox mensagem / enviar informação para o lead
$(".checkbox_mensagem_envia_info").click(function() {
    if($(this).is(":checked")) {
        $(".campo_mensagem_envia_info").show();
    } else {
        $(".campo_mensagem_envia_info").hide();
    }
});

$(document).ready(function() {
    $(".emp_envia_info_empreendimento").change(function(){
        $(this).find("option:selected").each(function(){
            var optionValue = $(this).val();
            console.log(optionValue);
            if(optionValue == ''){
                $(".emp_envia_info_book_digital").hide();
                $(".emp_envia_info_landing_page").hide();
                $(".emp_envia_info_localizacao").hide();
                $(".emp_envia_info_localizacao_stand").hide();
                $(".emp_envia_info_localizacao_emp").hide();
                $(".emp_envia_info_layout_personalizado").hide();
            } else{
                $(".emp_envia_info_book_digital").show();
                $(".emp_envia_info_landing_page").show();
                $(".emp_envia_info_localizacao").show();
                $(".emp_envia_info_localizacao_stand").show();
                $(".emp_envia_info_localizacao_emp").show();
                $(".emp_envia_info_layout_personalizado").show();
            }
        });
    }).change();
});

//Excluir o interesse da lista de interesses PAINEL CS INTERNO V2
$('#historico_interesse_table').on('click', '.btn_excluir_interesse' , function(e){
e.preventDefault();

if(confirm("Você realmente quer excluir esse Interesse?")){
    $data = {'id_interesse':$(this).data('interesse')};
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/excluirInteresse',
    success => {
        
        if(success.success == true){        
            
            location.reload();
            
        }
    });
}
});

//Abrir a modal de editar interesse PAINEL CS INTERNO V2
$('#historico_interesse_table').on('click', '.btn_editar_interesse' , function(e){
e.preventDefault();
   $data = $(this).data('interesse');
   console.log($data);
   $('.edit_interesse_id_interesse').val($data.id_interesse);
   $('.edit_interesse_id_captura').val($data.id_captura);
   $('.edit_interesse_tipo_interesse').val($data.tipo_interesse);
   $('.edit_interesse_tipo_imovel').val($data.tipo_imovel);
   $('.edit_interesse_quartos').val($data.quartos);
   $('.edit_interesse_banheiro').val($data.banheiro);
   $('.edit_interesse_vagas').val($data.vagas);
   $('.edit_interesse_faixa_preco_inicio').val($data.faixa_preco_inicio);
   $('.edit_interesse_faixa_preco_fim').val($data.faixa_preco_fim);
   $('.edit_interesse_descricao').val($data.descricao);
   var bairro = [];
   $data.bairros.forEach(myFunction);
   function myFunction(item, index) {
       bairro.push(item.bairro);
   }
   //console.log(bairro);
   $('.edit_interesse_bairro').val(bairro).trigger('change');
   
   var tipo_emp = [];
   $data.tipo_emp.forEach(myFunction2);
   function myFunction2(item, index) {
       tipo_emp.push(item.tipo_emp);
   }
   //console.log(bairro);
   $('.tipo_emp_editar_interesse').val(tipo_emp).trigger('change');
   
   
   
   $('#editInteresseModal').modal('show');
   
   
});

//Coloca um select2 no campo bairro e no tipo de empreendimento do cliente do editar interesse
$(document).ready(function() {
    $('.bairro_editar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
    $('.tipo_emp_editar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
});

//Da update do Interesse
$('.editInteresse').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-edit-interesse'));
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/editarInteresse',
    success => {
        
        if(success.success == true){        
            $(".editInteresse").prop("disabled",true);
            
            $('.result_edit_interesse').html('');
            $('.result_edit_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
            setTimeout(function() {
                    location.reload();
                }, 1000);
            
        }else{
            
            $('.result_edit_interesse').html('');
            $('.result_edit_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
    
});


$('.btn-anunciar-imovel').on('click', function(e){
e.preventDefault();
    
    $data = $(this).data('dados_pessoais');
    
    if($data != ''){
        if(confirm("Deseja anunciar um imóvel para o cliente?")){
            get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/anunciarImovel', 
            success =>{
                if(success.success == true){
                    setTimeout(function() {
                        window.open(success.link, '_blank');
                    }, 1000);
                }
            },
            erro => {
                msgErro('.msgRetorno',erro);
            });
        }
    }
    else
    {
        alert("Cliente com cadastro incompleto!");
    }
});

//Botão avaliar imóvel 1 etapa
$('.btn-avaliarImovel-dono').on('click', function(e){
loadButton($(this));

    $data = getForm($('.form-avaliar-imovel-dono'));
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/preCadastroAvaliarImovel',
    success => {
        
        if(success.success == true){        
           
            
            $('.result_avaliar_imovel_dono').html('');
            $('.result_avaliar_imovel_dono').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
            $('.id_captura_avaliar_imovel').val(success.id_captura);
            
            $('.avaliar_cep').val(success.cap.cep);
            $('.avaliar_endereco').val(success.cap.endereco);
            $('.avaliar_bairro').val(success.cap.bairro);
            $('.avaliar_cidade').val(success.cap.cidade);
            $('.avaliar_estado').val(success.cap.estado);
            
            setTimeout(function() {
                $('#avaliarImovelDono').modal('hide');
                $('#avaliarImovel').modal('show');
                
                //success.cap
            }, 3000);
            
        }else{
            
            $('.result_avaliar_imovel_dono').html('');
            $('.result_avaliar_imovel_dono').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    },
    erro => {
            msgErro('.msgRetorno',erro);
    });
});

//Botão avaliar imóvel 2 etapa
$('.btn-avaliarImovel').on('click', function(e){
loadButton($(this));

    $data = getForm($('.form-avaliar-imovel'));
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/atualizarAvaliarImovel',
    success => {
        
        if(success.success == true){        
           
            
            $('.result_avaliar_imovel').html('');
            $('.result_avaliar_imovel').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
            
            $('.btn-avaliarImovel').prop("disabled",true);
            setTimeout(function() {
                    window.open(success.link, '_blank');
                    location.reload();
            }, 3000);
            
        }else{
            
            $('.result_avaliar_imovel').html('');
            $('.result_avaliar_imovel').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    },
    erro => {
            msgErro('.msgRetorno',erro);
    });
});


$(document).ready(function() {
    $(".avaliar_tipo_imovel").change(function(){
        $(this).find("option:selected").each(function(){
            var option_avalia = $(this).val();
            console.log(option_avalia);
            
            switch (option_avalia) {
              case 'Comercial':
                $('.avaliar_pavimento').prop('disabled', false);
                $('.avaliar_quartos').prop('disabled', 'disabled');
                $('.avaliar_banheiros').prop('disabled', false);
                $('.avaliar_vaga').prop('disabled', false);
                break;
              case 'Terreno':
                $('.avaliar_pavimento').prop('disabled', 'disabled');
                $('.avaliar_quartos').prop('disabled', 'disabled');
                $('.avaliar_banheiros').prop('disabled', 'disabled');
                $('.avaliar_vaga').prop('disabled', 'disabled');
                break;
              case 'Vaga de Garagem':
                $('.avaliar_pavimento').prop('disabled', 'disabled');
                $('.avaliar_quartos').prop('disabled', 'disabled');
                $('.avaliar_banheiros').prop('disabled', 'disabled');
                $('.avaliar_vaga').prop('disabled', false);;
                break;
              default:
                $('.avaliar_pavimento').prop('disabled', false);
                $('.avaliar_quartos').prop('disabled', false);
                $('.avaliar_banheiros').prop('disabled', false);
                $('.avaliar_vaga').prop('disabled', false);
                break;
            }
            
        });
    }).change();
});


//Enviar a avaliação por email
$('#historico_avaliacao_table').on('click', '.btn_enviar_avaliacao' , function(e){
e.preventDefault();

if(confirm("Você quer enviar essa avaliação para o email do cliente?")){
    $data = $(this).data('cap');
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/enviarEmailAvaliacao',
    success => {
        
        if(success.success == true){        
            alert("Email enviado com sucesso!");
            
            setTimeout(function() {
                    location.reload();
            }, 3000);
        }
        else{
            alert("Erro ao enviar, contactar a TI!");
        }
    });
}
});

//Carregar máscara de cep e telefone do avaliação do imóvel
$('.cep_avaliar_dono').inputmask({
            mask: ["99.999-999"]
});

$('.avaliar_telefone').inputmask({
            mask: ["(99) 99999-9999"]
});

//Carregar máscara de cpf e telefone para o novo cartao
$('#cpfVIP').inputmask({
            mask: ["999.999.999-99"]
});

$('#cpfconjVIP').inputmask({
            mask: ["999.999.999-99"]
});

$('#telefoneVIP').inputmask({
            mask: ["(99) 99999-9999"]
});

$('#telefoneconjVIP').inputmask({
            mask: ["(99) 99999-9999"]
});

//Carregar máscara de cpf e telefone para o editar cartao
$('#cpfVIP_edit').inputmask({
            mask: ["999.999.999-99"]
});

$('#cpfconjVIP_edit').inputmask({
            mask: ["999.999.999-99"]
});

$('#telefoneVIP_edit').inputmask({
            mask: ["(99) 99999-9999"]
});

$('#telefoneconjVIP_edit').inputmask({
            mask: ["(99) 99999-9999"]
});

//Carregar máscara de telefone para o cadastrar conta comdono
$('#telefone_conta_comdono').inputmask({
            mask: ["(99) 99999-9999"]
            
});

//Carregar máscara de valor monetário R$ para as faixas de preço do anunciar interesse 
$(".faixa_preco_anunciar_interesse").inputmask("currency", {
  autoUnmask: true,
  radixPoint: ",",
  groupSeparator: ".",
  allowMinus: false,
  prefix: "R$ ",
  digits: 2,
  digitsOptional: false,
  rightAlign: false,
  unmaskAsNumber: true
});



let hour = 0;
let minute = 0;
let second = 0;
let millisecond = 0;

let cron;

/*document.form_main.start.onclick = () => start();
document.form_main.pause.onclick = () => pause();
document.form_main.reset.onclick = () => reset();*/

function start() {
  pause();
  cron = setInterval(() => { timer(); }, 100);
}

function pause() {
  clearInterval(cron);
}

function reset() {
  hour = 0;
  minute = 0;
  second = 0;
  millisecond = 0;
  document.getElementById('hour').innerText = '00';
  document.getElementById('minute').innerText = '00';
  document.getElementById('second').innerText = '00';
  document.getElementById('millisecond').innerText = '000';
}

function timer() {
  if ((millisecond += 100) == 1000) {
    millisecond = 0;
    second++;
  }
  if (second == 60) {
    second = 0;
    minute++;
  }
  if (minute == 60) {
    minute = 0;
    hour++;
  }
  document.getElementById('hour').innerText = returnData(hour);
  document.getElementById('minute').innerText = returnData(minute);
  document.getElementById('second').innerText = returnData(second);
  document.getElementById('millisecond').innerText = returnData(millisecond);
}

function returnData(input) {
  return input > 9 ? input : `0${input}`
}